<?xml version="1.0" encoding="WINDOWS-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">

<html>
  <head>
    <style type="text/css">
      body {margin: 25 25 0}
      tr.data {background:F0FFF0}
      tr.title {background:CCCCCC}
    </style>
      
  </head>
  
  <body>
    <h1><a name="begin" id="begin"> </a></h1>
    
    <hr />
    
    <table border="1">
      <tr class="title">
        <th> </th>
      </tr>
      
      <xsl:for-each select="//Update">
        <xsl:sort select="/@X"/>
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
        </tr>
      </xsl:for-each>
    
    </table>
    
    <hr />
    
    <table border="0" cellpadding="10">
      <tr>
        <td><strong><a href="#abl">-</a></strong></td>
        <td><strong><a href="#ocx">OCX</a></strong></td>
        <td><strong><a href="#typedforms"> </a></strong></td>
        <td><strong><a href="#autodocs"> </a></strong></td>
        <td><strong><a href="#printdocs"> </a></strong></td>
        <td><strong><a href="#MDKs"></a></strong></td>
        <td><strong><a href="#clm">(CLM)</a></strong></td>
        <td><strong><a href="#handbooks"> </a></strong></td>
      </tr>
    </table>
    
    <hr />
    
    <!-- ABL--->
    <table border="0" width="100%">
      <td><h2><a name="abl" id="abl">-</a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"></th>
        <th rowspan="2"></th>
        <th colspan="2"></th>
        <th colspan="2">CRC32</th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//macros">
        <tr class="data">
          <td><xsl:value-of select="Path/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="crc32/@X"/></td>
          <td><xsl:value-of select="CRC32/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />
    
    <!-- ocx -->
    <table border="0" width="100%">
      <td><h2><a name="ocx" id="ocx">OCX</a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"> </th>
        <th colspan="2"> </th>
        <th colspan="2"> </th>
        <th colspan="2"> </th>
        <th colspan="2"> </th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//ocx">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />
    
    <!--    -->
    <table border="0" width="100%">
      <td><h2><a name="typedforms" id="typedforms">  </a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"> </th>
        <th rowspan="2"></th>
        <th rowspan="2"></th>
        <th rowspan="2"> </th>
        <th colspan="2"> </th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//typedform">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>  
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />
    
    <!--  -->
    <table border="0" width="100%">
      <td><h2><a name="autodocs" id="autodocs"> </a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"></th>
        <th rowspan="2"></th>
        <th rowspan="2"></th>
        <th rowspan="2"> </th>
        <th colspan="2"> </th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//autodoc">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>  
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />
    
    <!--   -->
    <table border="0" width="100%">
      <td><h2><a name="printdocs" id="printdocs">  </a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"></th>
        <th rowspan="2"></th>
        <th rowspan="2"></th>
        <th rowspan="2"> </th>
        <th colspan="2"> </th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//printdoc">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>  
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />
    
    <!--  -->
    <table border="0" width="100%">
      <td><h2><a name="MDKs" id="MDKs"> </a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="1"></th>
        <th rowspan="1"></th>
        <th rowspan="1"> </th>
        <th rowspan="1">  </th>
      </tr>
      
      <xsl:for-each select="//MDK">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>  
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />

    <!-- CLM -->
    <table border="0" width="100%">
      <td><h2><a name="clm" id="clm"> CLM</a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"></th>
        <th colspan="2"> </th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//clm">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>  
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
    <hr />
    
    <!--   -->
    <table border="0" width="100%">
      <td><h2><a name="handbooks" id="handbooks"> </a></h2></td>
      <td align="right"><a href="#begin"></a></td>
    </table>
    
    <table border="1">
      <tr class="title">
        <th rowspan="2"> </th>
        <th rowspan="2"> </th>
        <th rowspan="2"></th>
        <th colspan="2"></th>
        <th colspan="2"></th>
        <th rowspan="2"></th>
        <th rowspan="2">  </th>
      </tr>
      <tr class="title">
        <th></th>
        <th></th>
        <th></th>
        <th></th>
      </tr>
      
      <xsl:for-each select="//handbook">
        <tr class="data">
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
          <td><xsl:value-of select="/@X"/></td>
        </tr>
      </xsl:for-each>
      
    </table>
    <p align="right"><a href="#begin"></a></p>
    
  
  </body>

</html>

</xsl:template>
</xsl:stylesheet>
